import numpy as np
  
entropy = np.zeros(79)
rama = []
for residue in range(2,81):
#   rama.append(np.loadtxt(f'{residue}rama-res.xvg'))
    rama = np.loadtxt(f'{residue}rama-res.xvg')
    H,xedges,yedges = np.histogram2d(rama[:,0],rama[:,1], bins=[100, 100], range=[[-180,180],[-180,180]], density=True)
    PMF = -np.log(H)
    where_are_inf = np.isinf(PMF)
    PMF[where_are_inf] = 0
    S = np.multiply(H, PMF)
    resi = residue - 2
    entropy[resi] = np.sum(S)

np.savetxt('rama-entropy-q25.xvg', entropy)