#########################################################################
#####calculate mindistres.xvg
#####gmx mindist -f ../htt-exon-1_complex_$i.xtc -s ../../topol.tpr -n index-mol.ndx -od -on -or -tu ns -ng 3
#########################################################################
import numpy as np
data = np.loadtxt('mindistres.xvg')
data = np.array(data)
mol  = np.delete(data, 0, axis=1)
print(np.shape(mol))
framesnum = len(mol)
residuenum_all = len(mol[1,:])

contact_matrix = np.zeros(framesnum*residuenum_all)

contact_matrix = contact_matrix.reshape(framesnum, residuenum_all)

for j in range(0,(residuenum_all)):
    count = 0
    for i in range(0, (framesnum)):
        if mol[i, j] <= 0.45:
               count = count + 1
               contact_matrix[i, j] = contact_matrix[i, j] + 1


np.savetxt('contact_matrix_2d.txt', contact_matrix)
